      real function atten(rx)
c
c     function to estimate attenuation
c       this function attributed to Richter, as modified by 
c         Jennings & Kanamori
c
c     rx is the focal distance (rx**2 = dist**2 + href**2) in km
c        where href is 8.00 km
c
      real*4 rx, xc, xn, xk
c
c     Define the default constants
c
      xc = 0.4971
      xk = 0.0053
      xn = 1.2178
c
      atten = xc * exp(-xk*rx) / (rx**xn)
c
      return
      end 

c
c
